ClearCase (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class ClearCase

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

Direct Known Subclasses:
  CCCheckin, CCCheckout, CCUnCheckout, CCUpdate

public abstract class ClearCase
extends Task

A base class for creating tasks for executing commands on ClearCase.

The class extends the 'exec' task as it operates by executing the cleartool program supplied with ClearCase. By default the task expects the cleartool executable to be in the path, * you can override this be specifying the cleartooldir attribute.

This class provides set and get methods for the 'viewpath' attribute. It also contains constants for the flags that can be passed to cleartool.

Author:
  Curtis White

Field Summary
`static java.lang.String` | `COMMAND_CHECKIN` The 'Checkin' command
`static java.lang.String` | `COMMAND_CHECKOUT` The 'Checkout' command
`static java.lang.String` | `COMMAND_UNCHECKOUT` The 'UndoCheckout' command
`static java.lang.String` | `COMMAND_UPDATE` The 'Update' command

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ClearCase()`

Method Summary
`protected java.lang.String` | `getClearToolCommand()` Builds and returns the command string to execute cleartool
`java.lang.String` | `getViewPath()` Get the path to the item in a clearcase view
`protected int` | `run(Commandline cmd)`
`void` | `setClearToolDir(java.lang.String dir)` Set the directory where the cleartool executable is located.
`void` | `setViewPath(java.lang.String viewPath)` Set the path to the item in a ClearCase view to operate on.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_UPDATE

    public static final java.lang.String COMMAND_UPDATE

  The 'Update' command

  See Also:
    Constant Field Values

### COMMAND_CHECKOUT

    public static final java.lang.String COMMAND_CHECKOUT

  The 'Checkout' command

  See Also:
    Constant Field Values

### COMMAND_CHECKIN

    public static final java.lang.String COMMAND_CHECKIN

  The 'Checkin' command

  See Also:
    Constant Field Values

### COMMAND_UNCHECKOUT

    public static final java.lang.String COMMAND_UNCHECKOUT

  The 'UndoCheckout' command

  See Also:
    Constant Field Values

Constructor Detail

### ClearCase

    public ClearCase()

Method Detail

### setClearToolDir

    public final void setClearToolDir(java.lang.String dir)

  Set the directory where the cleartool executable is located.

  Parameters:
    `dir` - the directory containing the cleartool executable

### getClearToolCommand

    protected final java.lang.String getClearToolCommand()

  Builds and returns the command string to execute cleartool

  Returns:
    String containing path to the executable

### setViewPath

    public final void setViewPath(java.lang.String viewPath)

  Set the path to the item in a ClearCase view to operate on.

  Parameters:
    `viewPath` - Path to the view directory or file

### getViewPath

    public java.lang.String getViewPath()

  Get the path to the item in a clearcase view

  Returns:
    m_viewPath

### run

    protected int run(Commandline cmd)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.